[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFindDialog.DoShowForm

Implements the OnShow event handler on the internal form displayed for the dialog.

## Declaration

Source position: dialogs.pp line 502

`protected procedure TFindDialog.DoShowForm(`
`Sender: TObject`
`); virtual;`

## Arguments

`Sender` |  | Object (TFindDialog) for the event notification.

## Description

DoShowForm is a method which implements the event handler signalled when the internal form instance for the dialog is displayed. No actions are performed in the method at design-time (csDesigning is in ComponentState property).

DoShowForm signals the OnShow event handler (when assigned) in TFindDialog to notify the dialog when the form calls its Show method.

DoShowForm is assigned to the OnShow event handler for the internal TForm instance when the Execute method is called.

## See also

TFindDialog.Execute |  | Displays the dialog form and responds to button clicks.
TCommonDialog.OnShow |  | Event handler signalled when the dialog is displayed.
TForm.OnShow |  | Handler called when the form becomes visible.
TCustomForm.Show |  | Displays the form instance with support for High DPI scaling.